function DefineBasicWire(%char, %rot, %hex, %name, %desc)
{
	if(strLen(%hex) != 1) return;
	%hex = strUpr(%hex);
	%hexmap = "0123456789ABCDEF";
	if((%value = strPos(%hexmap, %hex)) == -1) return;
	%events = %events@(%value&1?"1\t150\tonRelay\tSelf\tFireRelayNorth\n":"");
	%events = %events@(%value&2?"1\t150\tonRelay\tSelf\tFireRelayEast\n":"");
	%events = %events@(%value&4?"1\t150\tonRelay\tSelf\tFireRelaySouth\n":"");
	%events = %events@(%value&8?"1\t150\tonRelay\tSelf\tFireRelayWest\n":"");
	%events = %events@"1\t0\tonRelay\tSelf\tSetColor\tPulse\n1\t150\tonRelay\tSelf\tSetColor\tBlack";
	DefineWire(%char, %rot, "", "", "", %events, %name, %desc, "Basic Wires");
}

DefineWireCategory("Basic Wires", "Wires that just send and split pulses.");
DefineBasicWire("V", 2, "4", "Basic Wire", "Trasmits a pulse at roughly seven studs per second.");
DefineBasicWire("L", 0, "3", "L-divider", "Transmits a pulse in two directions.");
DefineBasicWire("-", 0, "A", "I-divider", "Transmits a pulse in two directions.");
DefineBasicWire("T", 0, "B", "T-divider", "Transmits a pulse in three directions.");
DefineBasicWire("+", 0, "F", "X-divider", "Transmits a pulse in every direction.");

DefineWire(" ", 0, "", "", "", "1\t150\tonRelay\tSelf\tFireRelayDown\n1\t0\tonRelay\tSelf\tSetColor\tPulse\n"@
	"1\t150\tonRelay\tSelf\tSetColor\tBlack", "Down Wire", "Transmits a pulse down.", "Basic Wires");
DefineWire(" ", 0, "", "", "", "1\t150\tonRelay\tSelf\tFireRelayUp\n1\t0\tonRelay\tSelf\tSetColor\tPulse\n"@
	"1\t150\tonRelay\tSelf\tSetColor\tBlack", "Up Wire", "Transmits a pulse up.", "Basic Wires");