function AssertWireColor(%name, %color)
{ if($WireColor_[%name] $= "") $WireColor_[%name] = getClosestColor(%color); }

function GetWireColor(%name) { return $WireColor_[%name]; }

function AssertWireColors()
{
	AssertWireColor("Black", "0.0 0.0 0.0");
	AssertWireColor("Pulse", "0.8 0.8 0.0");
	AssertWireColor("Charged", "1.0 1.0 1.0");
}

function getClosestColor(%color)
{
	for(%i=0;%i<getWordCount(%color);%i++)
		if(getWord(%color, %i) > 1)
			%flag = 1;
	if(%flag)
	{
		for(%i=0;%i<getWordCount(%color);%i++)
			%newCol = %newCol SPC getWord(%color, %i) / 255;
		%color = %newCol;
	}
	%color = trim(%color);
	if(getWordCount(%color) == 3)
		%color = %color @ " 1.000000";
	%lowDiff = 10000;
	for(%i=0;%i<64;%i++)
	{
		%flag = 0;
		%test = getColorIDTable(%i);
		for(%j=0;%j<getWordCount(%test);%j++)
			if(getWord(%test, %j) > 1)
				%flag = 1;
		if(%flag)
		{
			for(%j=0;%j<getWordCount(%test);%j++)
				%newCol = %newCol SPC getWord(%test) / 255;
			%test = %newCol;
		}
		trim(%test);
		%diff = mAbs(getWord(%color,0)-getWord(%test,0));
		%diff += mAbs(getWord(%color,1)-getWord(%test,1));
		%diff += mAbs(getWord(%color,2)-getWord(%test,2));
		%diff += mAbs(getWord(%color,3)-getWord(%test,3))*3;
		if(%diff < %lowDiff)
		{
			%lowDiff = %diff;
			%lowColor = %i;
		}
	}
	return %lowColor;
}

AssertWireColors();